org.eclipse.actf.model.flash

## Interface IFlashPlayer

All Superinterfaces:
  IASBridge, IFlashConst

All Known Implementing Classes:
  FlashPlayer

    public interface IFlashPlayer
    extends IASBridge

Interface to provide access to FlashPlayer and it's content.

See Also:
  `IASBridge`

### Field Summary

### Fields inherited from interface org.eclipse.actf.model.flash.IFlashConst

`ACC_IMPL, ACC_PROPS, ACCINFO_DEFAULTACTION, ACCINFO_DESCRIPTION, ACCINFO_FORCESIMPLE, ACCINFO_NAME, ACCINFO_ROLE, ACCINFO_SHORTCUT, ACCINFO_SILENT, ACCINFO_STATE, ASNODE_ACCINFO, ASNODE_CLASS_ARRAY, ASNODE_CLASS_BUTTON, ASNODE_CLASS_NAME, ASNODE_CLASS_SHAPE, ASNODE_CLASS_TEXTFIELD, ASNODE_CURRENT_FRAME, ASNODE_DEPTH, ASNODE_HEIGHT, ASNODE_ICON_ACCPROPS, ASNODE_ICON_ACCROLE, ASNODE_ICON_COMPONENT, ASNODE_ICON_FLASH, ASNODE_ICON_OTHERS, ASNODE_ICON_TEXT, ASNODE_ICON_VARIABLE, ASNODE_ID, ASNODE_IS_INPUTABLE, ASNODE_IS_OPAQUE_OBJECT, ASNODE_IS_UI_COMPONENT, ASNODE_OBJECT_NAME, ASNODE_TAB_INDEX, ASNODE_TARGET, ASNODE_TEXT, ASNODE_TITLE, ASNODE_TYPE, ASNODE_TYPE_BOOLEAN, ASNODE_TYPE_DISPLAYOBJECT, ASNODE_TYPE_FUNCTION, ASNODE_TYPE_MOVIECLIP, ASNODE_TYPE_NULL, ASNODE_TYPE_NUMBER, ASNODE_TYPE_OBJECT, ASNODE_TYPE_STRING, ASNODE_TYPE_UNDEFINED, ASNODE_VALUE, ASNODE_WIDTH, ASNODE_X, ASNODE_Y, ATTR_WMODE, CLSID_FLASH, COMPLETED_READY_STATE, CONTENT_URL, DISPATCH_METHOD, INVALID_DEPTH, M_CALL_METHOD, M_CLEAR_ALL_MARKERS, M_GET_CHILD_NODES, M_GET_CONTENT_ID, M_GET_CURRENT_POSITION, M_GET_INNER_NODES, M_GET_NODE_AT_DEPTH, M_GET_NODE_FROM_PATH, M_GET_NUM_CHILD_NODES, M_GET_NUM_SUCCESSOR_NODES, M_GET_PROPERTY, M_GET_ROOT_NODE, M_GET_SUCCESSOR_NODES, M_GET_SWF_VERSION, M_GET_VOLUME, M_NEW_MARKER, M_ON_PRESS, M_ON_RELEASE, M_ON_ROLL_OUT, M_ON_ROLL_OVER, M_PAUSE, M_PLAY, M_REPAIR_FLASH, M_SEARCH_SOUND, M_SEARCH_VIDEO, M_SET_FOCUS, M_SET_MARKER, M_SET_PROPERTY, M_SET_VOLUME, M_STOP, M_TRANSLATE, M_UNSET_MARKER, M_UPDATE_TARGET, PATH_BRIDGELEVEL, PATH_CONTENT_ID, PATH_GLOBAL, PATH_IS_AVAILABLE, PATH_ON_PRESS, PATH_ON_RELEASE, PATH_ROOTLEVEL, PLAYER_GET_VARIABLE, PLAYER_SET_ATTRIBUTE, PLAYER_SET_VARIABLE, PLAYER_VERSION, PROP_REQUEST_ARGS, PROP_RESPONSE_VALUE, READY_STATE, V_OPAQUE, V_TRANSPARENT`

### Method Summary

Methods
`FlashMSAAObject` `getAccessible()`
`String` `getContentURL()`
`IDispatch` `getDispatch()`
`String` `getPlayerProperty(String propertyName)` Get Property from FlashPlayer Node
`String` `getPlayerVersion()`
`String` `getStatus()`
`int` `getSWFVersion()`
`int` `getWindow()`
`String` `getWMode()`
`boolean` `isReady()`
`boolean` `isVisible()`
`void` `setPlayerProperty(String propertyName, String value)` Set Property to FlashPlayer Node

### Methods inherited from interface org.eclipse.actf.model.flash.IASBridge

`callMethod, callMethod, clearAllMarkers, getChildren, getNodeAtDepthWithPath, getNodeFromPath, getProperty, getRootNode, hasChild, repairFlash, searchSound, searchVideo, setFocus, setMarker, setMarker, setProperty, translateWithPath, unsetMarker, updateTarget`

### Method Detail

#### getAccessible

    FlashMSAAObject getAccessible()

Returns:
  native MSAA object of the FlashPlayer as `FlashMSAAObject`

#### getDispatch

    IDispatch getDispatch()

Returns:
  IDispatch object of the FlashPlayer

#### getStatus

    String getStatus()

Returns:
  status message

#### getPlayerVersion

    String getPlayerVersion()

Returns:
  version of FlashPlayer

#### getContentURL

    String getContentURL()

Returns:
  URL of Flash content

#### setPlayerProperty

    void setPlayerProperty(String propertyName,
                         String value)

Set Property to FlashPlayer Node

Parameters:
  `propertyName` - target property name
  `value` - property value to set

#### getPlayerProperty

    String getPlayerProperty(String propertyName)

Get Property from FlashPlayer Node

Parameters:
  `propertyName` - target property name
Returns:
  property value

#### getWindow

    int getWindow()

Returns:
  window handle of FlashPlayer
See Also:
  `FlashMSAAObject.getWindow()`

#### getWMode

    String getWMode()

Returns:
  WMode of the FlashPlayer

#### getSWFVersion

    int getSWFVersion()

Returns:
  SWF version of current content

#### isReady

    boolean isReady()

Returns:
  whether the HTML document that the FlashPlayer belongs to is ready or not.

#### isVisible

    boolean isVisible()

Returns:
  whether this Flash object is visible or not. Invisible means that the Flash object is in window-less mode.